WMACPILOAD(1)

NAME
wmacpiload - A dockapp to monitor acpi battery status and cpu temp

SYNOPSIS
wmapmload [options]

DESCRIPTION
This manual page documents briefly the wmapmload command.

WMacpiLoad is a program to monitor battery and cpu temp. It is a dockapp that is supported by X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment. The CPU temperature is displayed in the top half. The battery load percentage is in the bottom half in two manner : number and graphic. Next to percentage number are the on-line/on-battery and on-charge status. It has an LCD look-alike user interface. The back-light may be turned on/off by clicking the mouse button 1 (left) over the application. If battery status is below a critical level, an alarm-mode will alert you by turning on and off back-light. This can be stopped (and restarted) by clicking the mouse button 3 (right) over the application. An application can be launched when alarm is on to notify user that level is too low. By clicking with mouse button 2 (middle), the computer can be put in STANDBY (default) or SUSPEND mode (with CONTROL key).

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-bl, --backlight
    turn on back-light

-lc, --light-color <color>
    back-light color (rgb:6E/C6/3B is default)

-i, --interval <number>
    number of secs between updates (1 is default)

-a, --alarm <number>
    low battery level when to raise alarm (20 is default)

-h, --help
    show help text and exit

-v, --version
    show program version and exit

-w, --windowed
    run the application in windowed mode

-bw, --broken-wm
    activate broken window manager fix

-n, --notify <string>
    command to launch each time there is alarm

-s, --suspend <string>
    set command for acpi suspend

-S, --standby <string>
    set command for acpi standby

AUTHOR
WMACPILoad was assembled by Anthony Peacock <bratag44@hotmail.com> It is massively based on code by Thomas Nemeth <tnemeth@free.fr>. It is largely based on WMMemMon and WMCPULoad by Seiichi SATO <ssato@sh.rim.or.jp>, WMMemLoad by Mark Staggs <me@markstaggs.net> and wmapm by Chris D. Faulhaber <jedgar@speck.ml.org> Michael G. Henderson <mghenderson@lanl.gov>.